Bug 241555 - devel/rubygem-irb: Update to 1.2.1 and etc.
Summary: devel/rubygem-irb: Update to 1.2.1 and etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on: 242541
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-28 23:33 UTC by Yasuhiro KIMURA
Modified: 2020-01-28 07:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (meta)


Attachments
Patch file (573 bytes, patch)
2019-10-28 23:33 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (4.46 KB, patch)
2019-12-02 07:56 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (5.08 KB, patch)
2019-12-10 12:38 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (5.08 KB, patch)
2019-12-25 01:21 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-28 23:33:46 UTC
Created attachment 208662 [details]
Patch file

* Install bin/irb.
* Mark IGNORE with Ruby 2.[45].
* Bump PORTREVISION.
Comment 1 Yasuhiro KIMURA 2019-12-02 07:56:00 UTC
Created attachment 209587 [details]
Updated patch file

According to my proposal in bug #241555, comment #11,

* Install ${PREFIX}/bin/irb.
* Install irb(1) man mage.
* Set GEM_MANPAGE_SEC1.

So please commit attached patch instead of original one.
Comment 2 Yasuhiro KIMURA 2019-12-10 12:38:21 UTC
Created attachment 209825 [details]
Updated patch file

New version 1.2.0 is released. So please commit attached patch instead of original one.
Comment 3 Yasuhiro KIMURA 2019-12-25 01:21:01 UTC
Created attachment 210210 [details]
Updated patch file

New version 1.2.1 is released. So please commit attached patch instead of previous ones.
Comment 4 Koichiro Iwao freebsd_committer 2020-01-28 06:58:11 UTC
Partially comitted: https://svnweb.freebsd.org/changeset/ports/524460
Comment 5 Koichiro Iwao freebsd_committer 2020-01-28 07:17:24 UTC
irb executables and gem man page issues should be submitted in one patch because exp-run needs to be one patch. This is actually not depends on other bugs.